/*-----------------------------------------------------------------
File "@Constraint.pro"
-------------------------------------------------------------------*/

Constraint {
	{ Name Ao; Type Assign;
		Case { 
			{ Region Infinito; Value 0; }
			{ Region Todo; Type InitFromResolution; NameOfResolution ini; }
		}
	}

	{ Name Voltage_Rot; Type Assign;
		Case { 
			{ Region ConducRot; Value 0; }
		}
	} 
	{ Name Current_Rot; Type Assign;
		Case {
		}
	}

	{ Name Voltage_Est; Type Assign;
		Case {
			{ Region SourceA;		Value Vnom[]; 	TimeFunction F_Cos_wt_p[]{ws,phaseA}; }
		}
	}
	{ Name Current_Est; Type Assign;
		Case {
		}
	}

	{ Name CurrDensity_Est; Type Assign;
		Case {
			{ Region FaseAin;  Value Jnom_in[]; 	TimeFunction F_Cos_wt_p[]{ws,phaseA}; }
		//	{ Region FaseCout; Value Jnom_out[]; 	TimeFunction F_Cos_wt_p[]{ws,phaseC}; }
		//	{ Region FaseBin;  Value Jnom_in[];  	TimeFunction F_Cos_wt_p[]{ws,phaseB}; }
			{ Region FaseAout; Value Jnom_out[]; 	TimeFunction F_Cos_wt_p[]{ws,phaseA}; }
		//	{ Region FaseCin;  Value Jnom_in[];  	TimeFunction F_Cos_wt_p[]{ws,phaseC}; }
		//	{ Region FaseBout; Value Jnom_out[]; 	TimeFunction F_Cos_wt_p[]{ws,phaseB}; }
		}
	}
	{ Name Conection; Type Network;
		Case CircuitEst {

			{ Region SourceA;	Branch {1001,1003}; }

			{ Region Barra1;	Branch {1001,1002}; }
			{ Region Barra2;	Branch {1003,1002}; }
		}
	}
}
