
Group {
	Origen	= Region[1];
	Infinito 	= Region[2];

	Barra1 	= Region[3];
	Barra2 	= Region[4];
	Barra3 	= Region[5];
	Barra4	= Region[6];

	Nucleo	= Region[7];

	Aire		= Region[8];


	FaseAin  	= Region[{ Barra1 }];
	FaseAout 	= Region[{ Barra2 }];

	Fases	 	= Region[{ FaseAin,FaseAout }];

	Barras	= Region[{ Barra3, Barra4 }];


/* Fuentes de tensin */

	SourceA	= Region[201];
	
	Source	= Region[{SourceA}];

/******************************************************************************************************/

	ConducEst   = Region[{ Fases }];
	ConducRot   = Region[{ Barras }];
	Conductor   = Region[{ ConducEst,ConducRot }];
	
	Circuito	= Region[{ Source,ConducEst }];

/******************************************************************************************************/

	Magnetico   = Region[{ Nucleo }];
	NoCondNoMag = Region[{ Aire }];
	NoNucleo	= Region[{ Conductor,NoCondNoMag }];

	Todo 	    	= Region[{ Magnetico,NoCondNoMag,Conductor}];

//-----------------------------------------------------------------

}

Include "CurvaBH.dat"

Include "02_Function.pro"
Include "03_Constraint.pro"
Include "04_Jacobian.pro"
Include "05_Integration.pro"
Include "06_FunctionSpace.pro"
Include "07_Formulation.pro"
Include "08_Resolution.pro"
Include "09_PostProcessing.pro"
Include "10_PostOperation.pro"

//-----------------------------------------------------------------

